/*	$Id: robot_random_board.h,v 1.2 2005/06/24 05:11:55 jlanawalt Exp $	*/

#ifndef __BN_RANDOM__
#define __BN_RANDOM__

#ifdef __cplusplus
extern "C" {
#endif /*__cplusplus*/

void
generar( void );

gint
posible( gint x, gint y, gint d, gint t);

void
buscar_poscicion( gint x, gint y, gint d, gint t);

gint
tamano( gint i );

void
poner_barco( gint x, gint y, gint d, gint t);

gint
entra( gint x, gint y, gint d, gint t);

gint
vacio_board( gint x, gint y);

# ifdef __cplusplus
}
# endif /*__cplusplus*/


#endif /*__BN_RANDOM__*/
